Description
We want to be able in the scheduler to find out whether a host is usable or not.

| suggest the following status fields:

e USABLE - free until capacity of the host is full
¢ BLOCKED - no new VMs can be placed here

Additionally introduce a factor that allows us to over/underutilise a host:

e < 1:underutilise
e > 1: over provision

We need a factor for

e RAM
e CPU

(maybe others?)

History

#1 - 07/09/2019 10:47 AM - Ahmed Bilal

- Status changed from New to Seen

#2 - 12/01/2020 02:43 PM - Ahmed Bilal
- Assignee deleted (Ahmed Bilal)

#3 - 01/02/2024 02:04 PM - Nico Schottelius

- Status changed from Seen to Rejected
